JEIEvents.hideItems(jei => {

    jei.hide('@antiblocksrechiseled')
    jei.hide('@yuushya')

    jei.hide("jeg:recycler")
    jei.hide("jeg:scrap_workbench")
    jei.hide("jeg:gunmetal_workbench")
    jei.hide("jeg:gunnite_workbench")

    jei.hide("jeg:atlantean_spear")
    jei.hide("jeg:typhoonee")
    jei.hide("jeg:pocket_bubble")
    jei.hide("immersiveengineering:revolver")

    const types = [
        "p",
        "np",
        "m",
        "nm",
        "a",
        "na",
        "d",
        "da",
        "dp",
        "dnp",
        "dm",
        "dnm",
        "dna",
        "e",
        "ep",
        "enp",
        "em",
        "enm",
        "ea",
        "ena",
    ];
    const colors = [
        "white",
        "light_gray",
        "gray",
        "black",
        "brown",
        "red",
        "orange",
        "yellow",
        "lime",
        "green",
        "cyan",
        "light_blue",
        "blue",
        "purple",
        "magenta",
        "pink",
    ];

    for (let i = 0; i < types.length; i++) {
        for (let j = 0; j < colors.length; j++) {
            event.hide("enderio:fused_quartz_" + types[i] + "_" + colors[j]);
            event.hide("enderio:clear_glass_" + types[i] + "_" + colors[j]);
        }
    }
  })